summaryrefslogtreecommitdiff
diff options
context:
space:
mode:
-rwxr-xr-xsource4/script/tests/test_ejs.sh5
-rwxr-xr-x[-rw-r--r--]testprogs/ejs/echo.js1
-rwxr-xr-x[-rw-r--r--]testprogs/ejs/samr.js1
3 files changed, 6 insertions, 1 deletions
diff --git a/source4/script/tests/test_ejs.sh b/source4/script/tests/test_ejs.sh
index 83a16c631b..3e2a2a7884 100755
--- a/source4/script/tests/test_ejs.sh
+++ b/source4/script/tests/test_ejs.sh
@@ -17,7 +17,10 @@ incdir=`dirname $0`
SCRIPTDIR=../testprogs/ejs
+PATH=bin:$PATH
+export PATH
+
for f in samr.js echo.js; do
- testit "$f" bin/smbscript $SCRIPTDIR/$f ncacn_np:$SERVER -U$USERNAME%$PASSWORD || failed=`expr $failed + 1`
+ testit "$f" $SCRIPTDIR/$f ncacn_np:$SERVER -U$USERNAME%$PASSWORD || failed=`expr $failed + 1`
done
diff --git a/testprogs/ejs/echo.js b/testprogs/ejs/echo.js
index 9607466b0e..4f0fc79f9a 100644..100755
--- a/testprogs/ejs/echo.js
+++ b/testprogs/ejs/echo.js
@@ -1,3 +1,4 @@
+#!/usr/bin/env smbscript
/*
test echo pipe calls from ejs
*/
diff --git a/testprogs/ejs/samr.js b/testprogs/ejs/samr.js
index 1a1ca50569..ec2096b818 100644..100755
--- a/testprogs/ejs/samr.js
+++ b/testprogs/ejs/samr.js
@@ -1,3 +1,4 @@
+#!/usr/bin/env smbscript
/*
test samr calls from ejs
*/